Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Class PointRoi

    java.lang.Object
      ij.gui.Roi
          ij.gui.PolygonRoi
              ij.gui.PointRoi

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class PointRoi
extends PolygonRoi

This class represents a collection of points.

See Also:
  Serialized Form

Field Summary

Fields inherited from class ij.gui.PolygonRoi
`maxPoints, nPoints, splinePoints, xp, xp2, xScreenSpline, xSpline, yp, yp2, yScreenSpline, ySpline`

Fields inherited from class ij.gui.Roi
`ANGLE, cachedMask, center, clipboard, clipHeight, clipWidth, clipX, clipY, COMPOSITE, constrain, CONSTRUCTING, FREELINE, FREEROI, HANDLE_SIZE, handleColor, ic, imp, instanceColor, LINE, mag, MOVING, MOVING_HANDLE, name, NORMAL, NOT_PASTING, oldHeight, oldWidth, oldX, oldY, OVAL, pasteMode, POINT, POLYGON, POLYLINE, previousRoi, RECTANGLE, RESIZING, ROIColor, TRACED_ROI, type, updateFullWindow, xMax, yMax`

Constructor Summary
`PointRoi(int[] ox, int[] oy, int points)` Creates a new PointRoi using the specified arrays of offscreen coordinates.
`PointRoi(int ox, int oy)` Creates a new PointRoi using the specified offscreen coordinates.
`PointRoi(int sx, int sy, ImagePlus imp)` Creates a new PointRoi using the specified screen coordinates.

Method Summary
`PointRoi` | `addPoint(int x, int y)` Adds a point to this selection and return the result.
`boolean` | `contains(int x, int y)` Returns true if (x,y) is one of the points in this collection.
`void` | `draw(java.awt.Graphics g)` Draws the points on the image.
`void` | `drawPixels(ImageProcessor ip)` Draws the selection outline on the specified ImageProcessor.
`ImageProcessor` | `getMask()` Override Roi.nudge() to support splines.
`protected void` | `handleMouseUp(int sx, int sy)`
`PointRoi` | `subtractPoints(Roi roi)` Subtract the points that intersect the specified ROI and return the result.

Methods inherited from class ij.gui.PolygonRoi
`addOffset, clone, fitSpline, getAngle, getFeretsDiameter, getLength, getNCoordinates, getPolygon, getXCoordinates, getYCoordinates, grow, isHandle, mouseDownInHandle, moveHandle, updatePolygon`

Methods inherited from class ij.gui.Roi
`abortPaste, drawPixels, endPaste, equals, getAngle, getBoundingRect, getBounds, getColor, getCurrentPasteMode, getName, getPasteMode, getState, getType, getTypeAsString, handleMouseDown, handleMouseDrag, isArea, isLine, isVisible, nudge, nudgeCorner, setColor, setImage, setInstanceColor, setLocation, setName, setPasteMode, showStatus, startPaste, toString, update, updateClipRect`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PointRoi

    public PointRoi(int[] ox,
                    int[] oy,
                    int points)

  Creates a new PointRoi using the specified arrays of offscreen coordinates.

### PointRoi

    public PointRoi(int ox,
                    int oy)

  Creates a new PointRoi using the specified offscreen coordinates.

### PointRoi

    public PointRoi(int sx,
                    int sy,
                    ImagePlus imp)

  Creates a new PointRoi using the specified screen coordinates.

Method Detail

### handleMouseUp

    protected void handleMouseUp(int sx,
                                 int sy)

  Overrides:
    `handleMouseUp` in class `PolygonRoi`

### draw

    public void draw(java.awt.Graphics g)

  Draws the points on the image.

  Overrides:
    `draw` in class `PolygonRoi`

### drawPixels

    public void drawPixels(ImageProcessor ip)

  Description copied from class: `Roi`
  Draws the selection outline on the specified ImageProcessor.

  Overrides:
    `drawPixels` in class `PolygonRoi`

### addPoint

    public PointRoi addPoint(int x,
                             int y)

  Adds a point to this selection and return the result.

### subtractPoints

    public PointRoi subtractPoints(Roi roi)

  Subtract the points that intersect the specified ROI and return the result. Returns null if there are no resulting points.

### getMask

    public ImageProcessor getMask()

  Description copied from class: `PolygonRoi`
  Override Roi.nudge() to support splines.

  Overrides:
    `getMask` in class `PolygonRoi`

### contains

    public boolean contains(int x,
                            int y)

  Returns true if (x,y) is one of the points in this collection.

  Overrides:
    `contains` in class `PolygonRoi`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD